#include "UIInGameScreenSet.h"

TSoftClassPtr<UCommonActivatableWidget> UUIInGameScreenSet::GetScreenForState(EZMMOInGameUIState State) const
{
	const TSoftClassPtr<UCommonActivatableWidget>* Found = StateScreens.Find(State);
	return Found ? *Found : TSoftClassPtr<UCommonActivatableWidget>();
}
